## qt6-languageserver 6.4.2

=== src/jsonrpc/CMakeLists.txt ===
#####################################################################
## JsonRpc Module:
#####################################################################

qt_internal_add_module(JsonRpcPrivate
    INTERNAL_MODULE
    SOURCES
        qhttpmessagestreamparser_p.h qhttpmessagestreamparser.cpp
        qjsonrpcprotocol.cpp qjsonrpcprotocol_p.h qjsonrpcprotocol_p_p.h
        qjsonrpctransport_p.h
        qtjsonrpcglobal.h
        qjsontypedrpc_p.h qjsontypedrpc.cpp
        qtypedjson_p.h qtypedjson.cpp
    DEFINES
        QT_BUILD_JSONRPC_LIB
    PUBLIC_LIBRARIES
        Qt::Core
)

=== src/languageserver/CMakeLists.txt ===
#####################################################################
## LanguageServer Module:
#####################################################################

qt_internal_add_module(LanguageServerPrivate
    INTERNAL_MODULE
    SOURCES
      qlanguageserverprespectypes_p.h
      qlanguageserverspec_p.h
      qlanguageserverspectypes_p.h
      qlanguageserverjsonrpctransport_p.h qlanguageserverjsonrpctransport.cpp
      qtlanguageserverglobal.h
      qlanguageserverbase_p.h qlanguageserverbase_p_p.h qlanguageserverbase.cpp
      qlanguageservergen_p.h qlanguageservergen_p_p.h qlanguageservergen.cpp
      qlanguageserverprotocol_p.h qlanguageserverprotocol.cpp
      qlspnotifysignals_p.h qlspnotifysignals.cpp
    DEFINES
        QT_BUILD_LANGUAGESERVER_LIB
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::JsonRpcPrivate
)

if(MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
elseif (MINGW)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wa,-mbig-obj")
endif()

=== tests/auto/CMakeLists.txt ===

# For now, don't built auto tests when QT_BUILD_MINIMAL_STATIC_TEST
# is specified and the build is targeting iOS. QT_BUILD_MINIMAL_STATIC_TEST is used in our CI.
# Regular non-cmake build tests shouldn't be built because the CI will try to run them and fail
# due to missing simulator support.
if(IOS AND QT_BUILD_MINIMAL_STATIC_TESTS)
    return()
endif()

add_subdirectory(qjsonrpcprotocol)
add_subdirectory(typedjson)
add_subdirectory(qlanguageserver)

=== tests/auto/qjsonrpcprotocol/CMakeLists.txt ===
#####################################################################
## tst_jsonrpc Test:
#####################################################################
qt_internal_add_test(tst_qjsonrpcprotocol
    SOURCES
        tst_qjsonrpcprotocol.cpp
    DEFINES
        QT_DEPRECATED_WARNINGS
    PUBLIC_LIBRARIES
        Qt::JsonRpcPrivate
        Qt::Test
    TESTDATA ${test_data}
)

=== tests/auto/qlanguageserver/CMakeLists.txt ===
#####################################################################
## tst_qlanguageserver Test:
#####################################################################

qt_internal_add_test(tst_qlanguageserver
    SOURCES
        tst_qlanguageserver.cpp
        qiopipe.h qiopipe.cpp
    DEFINES
        QT_DEPRECATED_WARNINGS
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::LanguageServerPrivate
        Qt::Test
    TESTDATA ${test_data}
)

=== tests/auto/typedjson/CMakeLists.txt ===
#####################################################################
## tst_typedjson Test:
#####################################################################
# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_typedjson
    SOURCES
        tst_typedjson.cpp tst_typedjson.h
    DEFINES
        QT_DEPRECATED_WARNINGS
    PUBLIC_LIBRARIES
        Qt::JsonRpcPrivate
        Qt::Test
    TESTDATA ${test_data}
)

qt_internal_extend_target(tst_typedjson CONDITION NOT ANDROID AND NOT IOS
    DEFINES
        QT_TYPEDJSON_DATADIR=\\\"${CMAKE_CURRENT_SOURCE_DIR}/data\\\"
)

qt_internal_extend_target(tst_typedjson CONDITION ANDROID OR IOS
    DEFINES
        QT_TYPEDJSON_DATADIR=\\\":/data\\\"
)

## qt6-languageserver 6.3.1

=== debian/changelog ===
qt6-languageserver (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders only for backports.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 12:08:50 -0300

qt6-languageserver (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:45 +0200

qt6-languageserver (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Update ABI to 6.3.1.
  * Bump Qt B-Ds to 6.3.1.

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Jul 2022 20:42:12 +0200

qt6-languageserver (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 24 Jun 2022 22:29:34 +0200

qt6-languageserver (6.3.0-0r1) experimental; urgency=medium

  [ Pino Toscano ]
  * Initial release (Closes: #1013224).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 14:48:45 +0200

=== debian/control ===
Source: qt6-languageserver
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.3.1+dfsg~),
               qt6-base-private-dev (>= 6.3.1+dfsg~),
Standards-Version: 4.6.1
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver
Rules-Requires-Root: no

Package: libqt6jsonrpc6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: qt6-jsonrpc-abi (= 6.3.1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 JSON RPC library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt JSON RPC support library.

Package: libqt6languageserver6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: qt6-languageserver-abi (= 6.3.1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Language Server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Language Server module provides an implementation of the
 Language server protocol; see:
 https://microsoft.github.io/language-server-protocol/specification

Package: qt6-languageserver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6jsonrpc6 (= ${binary:Version}),
         libqt6languageserver6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Language Server development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 language server headers.

Package: qt6-languageserver-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-languageserver-dev (= ${binary:Version}), ${misc:Depends}
Description: Qt 6 Language Server private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 6 applications using Qt 6 language server private headers.
 .
 Use at your own risk.

## qt6-languageserver 6.4.1

=== debian/changelog ===
qt6-languageserver (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Update ABI to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 22:33:35 +0100

qt6-languageserver (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1023188).

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 20:13:00 +0100

qt6-languageserver (6.4.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update ABI to 6.4.0.
  * Increase CMake verbosity level.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Oct 2022 00:41:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
 Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
@@ -22,7 +21,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qt6-jsonrpc-abi (= 6.3.1)
+Provides: qt6-jsonrpc-abi (= 6.4.1)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 JSON RPC library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -34,7 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qt6-languageserver-abi (= 6.3.1)
+Provides: qt6-languageserver-abi (= 6.4.1)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Language Server library
  Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
#!/usr/bin/make -f

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(cmake_extra_args)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-languageserver 6.4.2

=== debian/changelog ===
qt6-languageserver (6.4.2-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 Mar 2023 14:47:42 -0700

qt6-languageserver (6.4.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Adjust symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 10:09:51 -0300

qt6-languageserver (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Jan 2023 18:09:14 +0100

qt6-languageserver (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 Jan 2023 22:52:11 +0100

qt6-languageserver (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:23 +0100

qt6-languageserver (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: qt6-languageserver
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Pino Toscano <pino@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.4.1+dfsg~),
-               qt6-base-private-dev (>= 6.4.1+dfsg~),
-Standards-Version: 4.6.1
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~)
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver
@@ -21,7 +23,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qt6-jsonrpc-abi (= 6.4.1)
+Provides: qt6-jsonrpc-abi (= 6.4.2)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 JSON RPC library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -33,7 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qt6-languageserver-abi (= 6.4.1)
+Provides: qt6-languageserver-abi (= 6.4.2)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 6 Language Server library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -50,7 +52,7 @@
 Depends: libqt6jsonrpc6 (= ${binary:Version}),
          libqt6languageserver6 (= ${binary:Version}),
          qt6-base-dev,
-         ${misc:Depends},
+         ${misc:Depends}
 Description: Qt 6 Language Server development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-languageserver 6.6.1

=== debian/changelog ===
qt6-languageserver (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Dec 2023 21:35:23 +0100

qt6-languageserver (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename the virtual ABI packages to qt6-jsonrpc-private-abi and qt6-
    languageserver-private-abi resp.
  * Use the (symver) directive to catch all private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Oct 2023 00:26:41 +0200

qt6-languageserver (6.6.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Update ABI to 6.6.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 11 Oct 2023 22:18:41 +0200

=== debian/control ===
Source: qt6-languageserver
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.6.1+dfsg~),
               qt6-base-private-dev (>= 6.6.1+dfsg~),
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver
Rules-Requires-Root: no

Package: libqt6jsonrpc6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Provides: qt6-jsonrpc-private-abi (= 6.6.1),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 JSON RPC library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt JSON RPC support library.

Package: libqt6languageserver6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Provides: qt6-languageserver-private-abi (= 6.6.1),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Language Server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Language Server module provides an implementation of the
 Language server protocol; see:
 https://microsoft.github.io/language-server-protocol/specification

Package: qt6-languageserver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6jsonrpc6 (= ${binary:Version}),
         libqt6languageserver6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Language Server development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 language server headers.

Package: qt6-languageserver-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-languageserver-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Language Server private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 6 applications using Qt 6 language server private headers.
 .
 Use at your own risk.

## qt6-languageserver 6.6.2

=== debian/changelog ===
qt6-languageserver (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:25:43 +0200

qt6-languageserver (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Feb 2024 20:06:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
@@ -20,7 +20,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Provides: qt6-jsonrpc-private-abi (= 6.6.1),
+Provides: qt6-jsonrpc-private-abi (= 6.6.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 JSON RPC library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -32,7 +32,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Provides: qt6-languageserver-private-abi (= 6.6.1),
+Provides: qt6-languageserver-private-abi (= 6.6.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Language Server library
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-languageserver 6.7.2

=== debian/changelog ===
qt6-languageserver (6.7.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:44:22 +0200

qt6-languageserver (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:34:35 +0200

qt6-languageserver (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update ABI to 6.7.2.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 29 Aug 2024 12:24:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver
@@ -20,7 +20,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Provides: qt6-jsonrpc-private-abi (= 6.6.2),
+Provides: qt6-jsonrpc-private-abi (= 6.7.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 JSON RPC library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -32,7 +32,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Provides: qt6-languageserver-private-abi (= 6.6.2),
+Provides: qt6-languageserver-private-abi (= 6.7.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Language Server library
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-languageserver 6.8.0

=== debian/changelog ===
qt6-languageserver (6.8.0-0deepin1) UNRELEASED; urgency=medium

  * New upstream release (6.8.0).
  * Bump Qt B-Ds to 6.8.0.
  * Update ABI to 6.8.0.
  * Remove libqt6jsonrpc6 and libqt6languageserver6
    https://github.com/qt/qtlanguageserver/commit/1a9a75cacaf4c45fc399915804f7f25d17747343
  * Update list of installed files.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 18 Oct 2024 13:12:33 +0800

qt6-languageserver (6.6.1-1deepin0) experimental; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:16:45 +0800

=== debian/control ===
Source: qt6-languageserver
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.8.0+dfsg~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver
Rules-Requires-Root: no

Package: qt6-languageserver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Language Server development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 language server headers.

Package: qt6-languageserver-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-languageserver-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Language Server private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 6 applications using Qt 6 language server private headers.
 .
 Use at your own risk.

## qt6-languageserver 6.8.1

=== debian/changelog ===
qt6-languageserver (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:50:19 -0600

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,55 @@
 Source: qt6-languageserver
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-Standards-Version: 4.6.2
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver
 Rules-Requires-Root: no
 
+Package: libqt6jsonrpc6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Provides: qt6-jsonrpc-private-abi (= 6.8.1),
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 JSON RPC library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt JSON RPC support library.
+
+Package: libqt6languageserver6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Provides: qt6-languageserver-private-abi (= 6.8.1),
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Language Server library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ The Qt Language Server module provides an implementation of the
+ Language server protocol; see:
+ https://microsoft.github.io/language-server-protocol/specification
+
 Package: qt6-languageserver-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: qt6-base-dev,
+Depends: libqt6jsonrpc6 (= ${binary:Version}),
+         libqt6languageserver6 (= ${binary:Version}),
+         qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Language Server development files
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-languageserver 6.8.2

=== debian/changelog ===
qt6-languageserver (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:42:36 +0100

qt6-languageserver (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Remove libqt6jsonrpc6 and libqt6languageserver6 as they are now
    always static libraries.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Feb 2025 00:23:12 +0100

=== debian/control ===
Source: qt6-languageserver
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               ninja-build,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev (>= 6.8.2+dfsg~),
               qt6-base-private-dev (>= 6.8.2+dfsg~),
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver
Rules-Requires-Root: no

Package: qt6-languageserver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Language Server development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 language server headers.

Package: qt6-languageserver-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-languageserver-dev (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 Language Server private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 6 applications using Qt 6 language server private headers.
 .
 Use at your own risk.

## qt6-languageserver 6.8.3

=== debian/changelog ===
qt6-languageserver (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:19:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: qt6-languageserver
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git

## qt6-languageserver 6.9.1

=== debian/changelog ===
qt6-languageserver (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Aug 2025 11:17:37 +0200

qt6-languageserver (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump Qt B-Ds to 6.9.1.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Jul 2025 13:00:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: qt6-languageserver
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.18~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               ccache [linux-any],
+               cmake (>= 3.18~),
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver
@@ -21,8 +21,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: qt6-base-dev,
-         ${misc:Depends},
+Depends: qt6-base-dev, ${misc:Depends},
 Description: Qt 6 Language Server development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-languageserver 6.9.2

=== src/jsonrpc/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,13 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 #####################################################################
 ## JsonRpc Module:
 #####################################################################
 
 qt_internal_add_module(JsonRpcPrivate
     INTERNAL_MODULE
+    STATIC
     SOURCES
         qhttpmessagestreamparser_p.h qhttpmessagestreamparser.cpp
         qjsonrpcprotocol.cpp qjsonrpcprotocol_p.h qjsonrpcprotocol_p_p.h
@@ -13,6 +17,7 @@
         qtypedjson_p.h qtypedjson.cpp
     DEFINES
         QT_BUILD_JSONRPC_LIB
+        QT_NO_CONTEXTLESS_CONNECT
     PUBLIC_LIBRARIES
         Qt::Core
 )

=== tests/auto/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
+add_subdirectory(cmake)
 
 # For now, don't built auto tests when QT_BUILD_MINIMAL_STATIC_TEST
 # is specified and the build is targeting iOS. QT_BUILD_MINIMAL_STATIC_TEST is used in our CI.

=== tests/auto/qjsonrpcprotocol/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_jsonrpc Test:
#####################################################################
qt_internal_add_test(tst_qjsonrpcprotocol
    SOURCES
        tst_qjsonrpcprotocol.cpp
    DEFINES
        QT_DEPRECATED_WARNINGS
    LIBRARIES
        Qt::JsonRpcPrivate
        Qt::Test
    TESTDATA ${test_data}
)

=== tests/auto/qlanguageserver/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 #####################################################################
 ## tst_qlanguageserver Test:
 #####################################################################
@@ -8,7 +11,7 @@
         qiopipe.h qiopipe.cpp
     DEFINES
         QT_DEPRECATED_WARNINGS
-    PUBLIC_LIBRARIES
+    LIBRARIES
         Qt::CorePrivate
         Qt::LanguageServerPrivate
         Qt::Test

=== debian/changelog ===
qt6-languageserver (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 26 Oct 2025 11:14:57 +0100

qt6-languageserver (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:45:51 +0200

qt6-languageserver (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 04 Sep 2025 19:12:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,16 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               ccache [linux-any],
                cmake (>= 3.18~),
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
 Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver
-Rules-Requires-Root: no
 
 Package: qt6-languageserver-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,16 @@
 # Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 # QT_HOST_PATH isn't passed in cross-builds
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	cmake_extra_args += -DQT_HOST_PATH=/usr
+endif
+
+# enable ccache with corresponding build-profile
+ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
+	extra_cmake_args += -DQT_USE_CCACHE=ON
 endif
 
 %:

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtlanguageserver-everywhere-src-(.*)\.tar\.xz

## qt6-languageserver 6.10.0

=== debian/changelog ===
qt6-languageserver (6.10.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 15 Nov 2025 06:38:27 +0000

qt6-languageserver (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:33:56 +1000

qt6-languageserver (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-languageserver (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 28 Aug 2025 22:17:41 +1000

qt6-languageserver (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 21:22:03 +1000

qt6-languageserver (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sun, 20 Apr 2025 19:06:02 +1000

qt6-languageserver (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:19:25 +1000

qt6-languageserver (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 06:34:06 +1000

qt6-languageserver (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 07 Dec 2024 15:48:47 +1000

qt6-languageserver (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:48:29 +1000

qt6-languageserver (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 16 Feb 2024 18:37:57 +1000

qt6-languageserver (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 09:55:52 +1000

qt6-languageserver (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 22:33:35 +0100

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_UNITY_BUILD=ON \
		$(cmake_extra_args)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtlanguageserver-everywhere-src-([\d\.]+\d).tar.xz

## qt6-languageserver 6.10.1

=== debian/changelog ===
qt6-languageserver (6.10.1-0zneon+24.04+noble+stable+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 05:03:39 +0000

qt6-languageserver (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:04 +1000

=== debian/control ===
Source: qt6-languageserver
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.1~)
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-languageserver.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-languageserver
Maintainer: Neon CI <neon@kde.org>

Package: qt6-languageserver
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Provides: qt6-jsonrpc-abi (= 6.10.1), qt6-languageserver-abi (= 6.10.1)
Replaces: libqt6jsonrpc6, libqt6languageserver6
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 langage server
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt language server support library.

Package: qt6-languageserver-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-languageserver (= ${binary:Version}),
         ${misc:Depends}
Replaces: qt6-languageserver-private-dev
Description: Qt 6 Language Server development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 language server headers.

Package: qt6-languageserver-doc
Architecture: all
Depends: qt6-languageserver-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6jsonrpc6
Architecture: all
Depends: qt6-languageserver, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6languageserver6
Architecture: all
Depends: qt6-languageserver, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-languageserver-private-dev
Architecture: all
Depends: qt6-languageserver-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-languageserver 6.10.2

=== debian/changelog ===
qt6-languageserver (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.
  * Update d/watch to format version 5.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Jan 2026 14:48:49 +0100

=== debian/control ===
Source: qt6-languageserver
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.18~),
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-languageserver

Package: qt6-languageserver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Language Server development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 language server headers.

Package: qt6-languageserver-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-languageserver-dev (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Language Server private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 6 applications using Qt 6 language server private headers.
 .
 Use at your own risk.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtlanguageserver-everywhere-src-(.*)\.tar\.xz
